curl --request PATCH \
--url https://api.jurichat.com/tickets/{id} \
--header 'Content-Type: application/json' \
--header 'x-jurichat-api-key: <api-key>' \
--data '
{
"title": "<string>",
"description": "<string>",
"statusId": "<string>",
"conversationId": "<string>",
"assigneeIds": [
"<string>"
],
"departmentIds": [
"<string>"
],
"tagIds": [
"<string>"
],
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"points": 4999
}
'import requests
url = "https://api.jurichat.com/tickets/{id}"
payload = {
"title": "<string>",
"description": "<string>",
"statusId": "<string>",
"conversationId": "<string>",
"assigneeIds": ["<string>"],
"departmentIds": ["<string>"],
"tagIds": ["<string>"],
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"points": 4999
}
headers = {
"x-jurichat-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-jurichat-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
statusId: '<string>',
conversationId: '<string>',
assigneeIds: ['<string>'],
departmentIds: ['<string>'],
tagIds: ['<string>'],
startedAt: '2023-11-07T05:31:56Z',
endedAt: '2023-11-07T05:31:56Z',
points: 4999
})
};
fetch('https://api.jurichat.com/tickets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"officeId": "<string>",
"number": 1,
"code": "<string>",
"title": "<string>",
"description": "<string>",
"status": {
"id": "<string>",
"name": "<string>",
"color": "<string>",
"isClosed": true,
"index": 123
},
"priority": "LOW",
"conversationId": "<string>",
"conversation": {
"id": "<string>",
"person": {
"id": "<string>",
"name": "<string>",
"phoneNumber": "<string>"
}
},
"createdByUserId": "<string>",
"createdBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>"
},
"isPublic": true,
"publicToken": "<string>",
"publicUrl": "<string>",
"assignees": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>"
}
],
"departments": [
{
"id": "<string>",
"name": "<string>"
}
],
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"attachments": [
{
"id": "<string>",
"fileName": "<string>",
"mimeType": "<string>",
"sizeBytes": 1,
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"updatesCount": 1,
"lastUpdate": {
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
},
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"points": 1,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"updates": [
{
"id": "<string>",
"content": "<string>",
"visibility": "PUBLIC",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>"
},
"attachments": [
{
"id": "<string>",
"fileName": "<string>",
"mimeType": "<string>",
"sizeBytes": 1,
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
],
"activities": [
{
"id": "<string>",
"type": "CREATED",
"field": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>"
},
"fromValue": null,
"toValue": null,
"metadata": null
}
]
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}Atualizar ticket
Atualiza um ticket pelo ID ou código (TKT-0001). Integrações (API key / MCP) devem enviar application/json. A UI pode enviar multipart/form-data quando houver arquivos.
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-jurichat-api-key.
Path Parameters
ID interno do ticket (CUID) ou código compartilhado (TKT-0001).
1 - 40Body
Título do ticket.
1 - 200Descrição do ticket. Null para limpar.
20000ID do novo status.
1Prioridade do ticket.
LOW, MEDIUM, HIGH ID da conversa vinculada. Null para desvincular.
^[cC][^\s-]{8,}$IDs dos responsáveis.
^[cC][^\s-]{8,}$IDs dos departamentos.
^[cC][^\s-]{8,}$IDs das etiquetas.
^[cC][^\s-]{8,}$Data inicial do ticket.
Data final do ticket.
Pontuação do ticket.
0 <= x <= 9999Response
Default Response
x > 0Show child attributes
Show child attributes
LOW, MEDIUM, HIGH Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
x >= 0Show child attributes
Show child attributes
x >= 0Show child attributes
Show child attributes
Show child attributes
Show child attributes